import { createApp } from 'vue'
import App from './App.vue'
import './assets/css/style.less';

console.log('load script')
document.addEventListener('DOMContentLoaded', () => {
  const jupyterLinks = Array.from(document.querySelectorAll('a'))
  console.log('render func')
  console.log(jupyterLinks)
  function insertAfter(newNode: HTMLElement, referenceNode: HTMLElement) {
    (referenceNode as any).parentNode.insertBefore(newNode, referenceNode.nextSibling);
  }
  if (jupyterLinks.length) {
    jupyterLinks.forEach(item => {
      const url = item.href
      if (!url || !url.includes('.ipynb') || !item.className.includes('jupyterEl')) return
      const targetEL = document.createElement('div')
      insertAfter(targetEL, item)

      createApp(App, {
        url
      }).mount(targetEL)
    })
  };
})
